Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor.security
Class LogoutProcessor

    java.lang.Object
      |
      +--com.bea.portal.appflow.processor.AbstractPortalProcessor
            |
            +--com.bea.portal.appflow.processor.AbstractPortalPersonalizationProcessor
                  |
                  +--com.bea.portal.appflow.processor.security.LogoutProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

public class LogoutProcessor
extends AbstractPortalPersonalizationProcessor

A processor for logging out the user. This processor will invalidate the user's HttpSession and wipe all auto login cookies from the browser. The user will also be reset back to the anonymous user.

Constructor Summary
`LogoutProcessor()`

Method Summary
`Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, MutablePortalPersonalization portalPersonalization, Object requestContext)` Main process method called by webflow.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalPersonalizationProcessor
`getCurrentPortletPersonalization, getMutablePortalPersonalization, process, setMutablePortalPersonalization`

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogoutProcessor

    public LogoutProcessor()

Method Detail

### process

    public Object process(HttpServletRequest request,
                          HttpServletResponse response,
                          PortalRequest portalRequest,
                          MutablePortalPersonalization portalPersonalization,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException

  Main process method called by webflow.

  Specified by:
    `process` in class `AbstractPortalPersonalizationProcessor`
  Returns:
    always success
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException` - per calling implementing subclass

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved